package com.ruoyi.oa.domain;

import java.math.BigDecimal;

import com.ruoyi.common.core.domain.entity.CmcPostSalary;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc人员预算对象 cmc_budget_staff
 * 
 * @author cmc
 * @date 2024-03-22
 */
public class CmcBudgetStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人员预算id */
    private Long budgetStaffId;

    /** 预算id */
    @Excel(name = "预算id")
    private String budgetId;

    /** 人员id */
    @Excel(name = "人员")
    private String nickName;
    private Long userId;

    private SysUser user;

    /** 天数 */
    @Excel(name = "天数")
    private Double days;

    private CmcPostSalary salary;

    /** 人员成本 */
    @Excel(name = "人员成本")
    private BigDecimal staffCost;

    /** 作业类别 */
    @Excel(name = "作业类别")
    private String type;

    /** 核算天数 */
    @Excel(name = "核算天数")
    private Double daysAdjust;

    /** 预算绩效 */
    @Excel(name = "预算绩效")
    private BigDecimal performance;

    /** 核算绩效 */
    @Excel(name = "核算绩效")
    private BigDecimal performanceAdjust;

    /** 预算系数 */
    @Excel(name = "预算系数")
    private String coefficient;

    /** 核算系数 */
    @Excel(name = "核算系数")
    private String coefficientAdjust;

    /** 预算金额 */
    @Excel(name = "预算金额")
    private BigDecimal amount;

    /** 核算金额 */
    @Excel(name = "核算金额")
    private BigDecimal amountAdjust;

    /** 单日成本 */
    @Excel(name = "单日成本")
    private BigDecimal dayCost;

    public void setBudgetStaffId(Long budgetStaffId)
    {
        this.budgetStaffId = budgetStaffId;
    }

    public Long getBudgetStaffId()
    {
        return budgetStaffId;
    }
    public void setBudgetId(String budgetId) 
    {
        this.budgetId = budgetId;
    }

    public String getBudgetId() 
    {
        return budgetId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUser(SysUser user)
    {
        this.user = user;
        this.nickName = user == null ? "" : user.getNickName();
    }

    public SysUser getUser()
    {
        return user;
    }
    public void setDays(Double days)
    {
        this.days = days;
    }

    public Double getDays()
    {
        return days;
    }
    public void setStaffCost(BigDecimal staffCost) 
    {
        this.staffCost = staffCost;
    }

    public BigDecimal getStaffCost() 
    {
        return staffCost;
    }
    public void setSalary(CmcPostSalary salary)
    {
        this.salary = salary;
    }

    public CmcPostSalary getSalary()
    {
        return salary;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setDaysAdjust(Double daysAdjust)
    {
        this.daysAdjust = daysAdjust;
    }

    public Double getDaysAdjust()
    {
        return daysAdjust;
    }
    public void setPerformance(BigDecimal performance)
    {
        this.performance = performance;
    }

    public BigDecimal getPerformance()
    {
        return performance;
    }
    public void setPerformanceAdjust(BigDecimal performanceAdjust)
    {
        this.performanceAdjust = performanceAdjust;
    }

    public BigDecimal getPerformanceAdjust()
    {
        return performanceAdjust;
    }
    public void setCoefficient(String coefficient)
    {
        this.coefficient = coefficient;
    }

    public String getCoefficient()
    {
        return coefficient;
    }
    public void setCoefficientAdjust(String coefficientAdjust)
    {
        this.coefficientAdjust = coefficientAdjust;
    }

    public String getCoefficientAdjust()
    {
        return coefficientAdjust;
    }
    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }
    public void setAmountAdjust(BigDecimal amountAdjust)
    {
        this.amountAdjust = amountAdjust;
    }

    public BigDecimal getAmountAdjust()
    {
        return amountAdjust;
    }
    public void setDayCost(BigDecimal dayCost)
    {
        this.dayCost = dayCost;
    }

    public BigDecimal getDayCost()
    {
        return dayCost;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("budgetStaffId", getBudgetStaffId())
            .append("budgetId", getBudgetId())
            .append("userId", getUserId())
            .append("days", getDays())
            .append("staffCost", getStaffCost())
            .toString();
    }
}
